Create Paywall

POST
/api/v1/paywalls

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Length1 <= length
projectId?string|null
slug*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/paywalls" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string"  }'
{  "archivedAt": "string",  "createdAt": "string",  "id": "string",  "name": "string",  "projectId": "string",  "slug": "string",  "thumbnailUrl": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/PaywallSlugAlreadyExistsError",  "slug": "string"}
{  "_tag": "Api/PaywallServiceError",  "cause": "string"}